Debian Bug report logs - #566250
live-helper: should display progress

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michal Suchanek <michal.suchanek@ruk.cuni.cz>

Date: Fri, 22 Jan 2010 13:15:02 UTC

Severity: normal

Found in version live-helper/2.0~a4-1

Fixed in version live-helper/2.0~a5-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>:
Bug#566250; Package live-helper. (Fri, 22 Jan 2010 13:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
New Bug report received and forwarded. Copy sent to hramrach@centrum.cz, Debian Live <debian-live@lists.debian.org>. (Fri, 22 Jan 2010 13:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michal Suchanek <michal.suchanek@ruk.cuni.cz>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: should display progress
Date: Fri, 22 Jan 2010 14:13:46 +0100
Package: live-helper
Version: 2.0~a4-1
Severity: normal


When building an image based on the eeepc-live config I get messages
like:

Unpacking squashfs-tools (from .../squashfs-tools_1%3a4.0-6_i386.deb)
....
Processing triggers for man-db ...
Setting up squashfs-tools (1:4.0-6) ...
Parallel mksquashfs: Using 1 processor
Creating 4.0 filesystem on filesystem.squashfs, block size 131072.

Exportable Squashfs 4.0 filesystem, data block size 131072
        compressed data, compressed metadata, compressed fragments
        duplicates are removed

However, there is long pause between
 Setting up squashfs-tools (1:4.0-6) ...
and
 Parallel mksquashfs: Using 1 processor

So the general rule should that when executing something a message
should be printed so that it is obvious what (if anything) is going on
or failing.

Thanks

Michal




-- Package-specific info:

-- System Information:
Debian Release: 5.0.3
  APT prefers stable
  APT policy: (990, 'stable'), (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  debootstrap                 1.0.10lenny1 Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  gettext-base                  0.17-4     GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools     3.0.1-1                   utilities for making and checking 
ii  fakeroot       1.11                      Gives a fake root environment
ii  genisoimage    9:1.1.10-1                Creates ISO-9660 CD-ROM filesystem
ii  grub           0.97-47lenny2             GRand Unified Bootloader (Legacy v
ii  memtest86      3.5-2.1.nogrub            thorough real-mode memory tester
ii  memtest86+     4.00-2.1                  thorough real-mode memory tester
ii  mtools         3.9.11-1                  Tools for manipulating MSDOS files
ii  parted         1.8.8.git.2008.03.24-11.1 The GNU Parted disk partition resi
ii  squashfs-tools 1:4.0-6                   Tool to create and append to squas
ii  syslinux       2:3.83+dfsg-3             utilities for the syslinux bootloa
pn  uuid-runtime   <none>                    (no description available)
pn  win32-loader   <none>                    (no description available)

-- no debconf information




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 23 Jan 2010 08:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#566250; Package live-helper. (Sat, 23 Jan 2010 09:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sat, 23 Jan 2010 09:00:07 GMT) Full text and rfc822 format available.

Message #12 received at 566250@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 566250-submitter@bugs.debian.org
Cc: 566250@bugs.debian.org
Subject: live-helper: should display progress
Date: Sat, 23 Jan 2010 09:48:58 +0100
tag 566250 pending
thanks

fixed in git, thanks for reporting it.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug#566250. (Sat, 23 Jan 2010 09:00:15 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sat, 23 Jan 2010 12:42:06 GMT) Full text and rfc822 format available.

Notification sent to Michal Suchanek <michal.suchanek@ruk.cuni.cz>:
Bug acknowledged by developer. (Sat, 23 Jan 2010 12:42:06 GMT) Full text and rfc822 format available.

Message #20 received at 566250-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 566250-close@bugs.debian.org
Subject: Bug#566250: fixed in live-helper 2.0~a5-1
Date: Sat, 23 Jan 2010 12:40:43 +0000
Source: live-helper
Source-Version: 2.0~a5-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a5-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a5-1.diff.gz
live-helper_2.0~a5-1.dsc
  to main/l/live-helper/live-helper_2.0~a5-1.dsc
live-helper_2.0~a5-1_all.deb
  to main/l/live-helper/live-helper_2.0~a5-1_all.deb
live-helper_2.0~a5.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566250@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 23 Jan 2010 12:47:21 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a5-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 566250
Changes: 
 live-helper (2.0~a5-1) unstable; urgency=low
 .
   [ Ben Armstrong ]
   * Update lh_source_debian to deal with multiple dsc files for the same
     source.
 .
   [ Daniel Baumann ]
   * Adding misc depends.
   * Wrapping suggests.
   * Minimizing rules file.
   * Adding special handling for kde-desktop hook in lh_chroot_hocks.
   * Removing dead code for bootstrap mirror defaults.
   * Displaying a message between setting up squashfs-tools and starting
     mksquashfs so that users know what is going on, thanks to Michal
     Suchanek <michal.suchanek@ruk.cuni.cz> (Closes: #566250).
Checksums-Sha1: 
 328c5e6132ccf6810c64ab1095fe10a449d55acf 1238 live-helper_2.0~a5-1.dsc
 612ca77c221b9ee218117e2d7a976dfad210e05c 2219257 live-helper_2.0~a5.orig.tar.gz
 f3c0e182e36c2440f05d7d107edb38561ba67576 30399 live-helper_2.0~a5-1.diff.gz
 aa40dd905fe96648c5da467a6e658ca821cf04ab 1100826 live-helper_2.0~a5-1_all.deb
Checksums-Sha256: 
 d112e3d9fe2d0436b45a5e9e7c7c22076558813e83bf302db3ba26c13d45e360 1238 live-helper_2.0~a5-1.dsc
 4ca17db898bd0d0b39cf5a6b338f4b3877242427404029d0f0970bc699f8fb2a 2219257 live-helper_2.0~a5.orig.tar.gz
 972d347ffe3fd7687634c846c7de00fdac761d47a28284dd77f3bddf772536b5 30399 live-helper_2.0~a5-1.diff.gz
 401f1be7405c3c19aeabe56c6ccd4ac13182220128a31befaf83becaeb02f991 1100826 live-helper_2.0~a5-1_all.deb
Files: 
 688d2e84d02d68a7c614505bdc5e1c2d 1238 misc optional live-helper_2.0~a5-1.dsc
 6a67b016a7db8fd1fb817532c66e7476 2219257 misc optional live-helper_2.0~a5.orig.tar.gz
 1b614b4047157f64360c3ee66c677dba 30399 misc optional live-helper_2.0~a5-1.diff.gz
 ada9cea7ad1bf2188578055c8e0358da 1100826 misc optional live-helper_2.0~a5-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkta5vIACgkQ+C5cwEsrK544NwCdG5Lts+S3L0mG//rz3UG+JvlY
XgQAoNL5WbCT+XUa49w36PhFADlfTTUh
=MDUX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 21 Feb 2010 07:38:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:24:00 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.